Update Library Item
Updates the specified content library item. Unless the item is a placeholder, only name
and description can be updated.
Updates the specified content library item. Unless the item is a placeholder, only name and description can be updated.
Request
URI
PUT
https://{api_host}/cloudapi/v1/contentLibraryItems/{itemUrn}
COPY
Path Parameters
string
itemUrn
Required
itemUrn
Request Body
ContentLibraryItem
of type(s)
application/json
Optional
Show optional properties
{
"name": "string",
"contentLibrary": {},
"itemType": "string"
}
{
"id": "string",
"name": "string",
"imageIdentifier": "string",
"description": "string",
"isPublished": false,
"isSubscribed": false,
"creationDate": "string",
"lastSuccessfulSync": "string",
"version": 0,
"status": "READY, NOT_READY, FAILED, PARTIALLY_READY",
"contentLibrary": {
"name": "string",
"id": "string"
},
"org": {
"name": "string",
"id": "string"
},
"fileUploadSizeBytes": 0,
"sizeBytes": 0,
"itemType": "string",
"placeholder": false
}
Responses
202
The request have been accepted and the task to monitor the request is in the Location header.
Operation doesn't return any data structure
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"contentLibrary":"object","itemType":"string","name":"string"}' https://{api_host}/cloudapi/v1/contentLibraryItems/{itemUrn}
Availability
Added in 9.0.0
On This Page
Content Library Item Operations
GET
Query Items
POST
Create Library Item
GET
Get Library Item
PUT
Update Library Item
DELETE
Delete Library Item
GET
Query Item Files
POST
Promote Library Item
POST
Generate Download Bundle